# Author: Tom Werner
# Email: tom@mojombo.com
# URL: http://www.mojombo.com/
# Date: 2004-11-14
# Version 1.1
# Tested on MT 2.6.x, 3.0d
#
# Documentation: http://www.gravatar.com/site/implement/images
#
# CHANGES
# 2004-11-14 Fixed URL ampersand XHTML encoding issue by updating to use proper entity

use MT::Template::Context;

MT::Template::Context->add_tag(Gravatar => sub {
	use URI::Escape;
	use Digest::MD5 qw(md5_hex);
 
	my ($ctx, $args) = @_;

	my $tag = $ctx->stash('tag');
	my $c = $ctx->stash($tag =~ /Preview/ ? 'comment_preview' : 'comment')
	or return $ctx->_no_comment_error('MT' . $tag);
	my $email = $c->email;

	my $url = "http://www.gravatar.com/avatar/".md5_hex(lc $email);
	$url .= exists $args->{rating} ? "&amp;r=".$args->{rating} : "";
	$url .= exists $args->{size} ? "&amp;s=".$args->{size} : "";
	$url .= exists $args->{default} ? "&amp;d=".uri_escape($args->{default}) : "";

	return $url;
});